org.apache.flume

## Class SinkRunner

- java.lang.Object
- - org.apache.flume.SinkRunner

- All Implemented Interfaces:
    LifecycleAware

      public class SinkRunner
      extends Object
      implements LifecycleAware

  A driver for sinks that polls them, attempting to process events if any are available in the `Channel`.

  Note that, unlike sources, all sinks are polled.

  See Also:
    `Sink`, `SourceRunner`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SinkRunner.PollingRunner` `Runnable` that polls a `SinkProcessor` and manages event delivery notification, `BACKOFF` delay handling, etc.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SinkRunner()`
    `SinkRunner(SinkProcessor policy)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `LifecycleState` | `getLifecycleState()` Return the current state of the service or component.
    `SinkProcessor` | `getPolicy()`
    `void` | `setSink(SinkProcessor policy)`
    `void` | `start()` Starts a service or component.
    `void` | `stop()` Stops a service or component.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SinkRunner

          public SinkRunner()

    - #### SinkRunner

          public SinkRunner(SinkProcessor policy)

  - ### Method Detail

    - #### getPolicy

          public SinkProcessor getPolicy()

    - #### setSink

          public void setSink(SinkProcessor policy)

    - #### start

          public void start()

      Description copied from interface: `LifecycleAware`

      Starts a service or component.

      Implementations should determine the result of any start logic and effect the return value of `LifecycleAware.getLifecycleState()` accordingly.

      Specified by:
        `start` in interface `LifecycleAware`

    - #### stop

          public void stop()

      Description copied from interface: `LifecycleAware`

      Stops a service or component.

      Implementations should determine the result of any stop logic and effect the return value of `LifecycleAware.getLifecycleState()` accordingly.

      Specified by:
        `stop` in interface `LifecycleAware`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getLifecycleState

          public LifecycleState getLifecycleState()

      Description copied from interface: `LifecycleAware`

      Return the current state of the service or component.

      Specified by:
        `getLifecycleState` in interface `LifecycleAware`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.